terraform {
  required_providers {
    namecheap = {
      source = "namecheap/namecheap"
      version = "~> 2.1.0"
    }
  }

  backend "http" {
    address        = "https://asciireactor.com/api/v4/projects/133/terraform/state/library-index"
    lock_address   = "https://asciireactor.com/api/v4/projects/133/terraform/state/library-index/lock"
    unlock_address = "https://asciireactor.com/api/v4/projects/133/terraform/state/library-index/lock"
    lock_method    = "POST"
    unlock_method  = "DELETE"
    retry_wait_min = 5
  }
}

provider "namecheap" {}

variable "network" {
  type    = string
  default = "2603:3015:1003:56cd"
}

variable "ipv4" {
  type    = string
  default = "96.78.236.124"
}

resource "namecheap_domain_records" "othostash" {
  domain = "othostash.com"
  record {
    hostname = "@"
    address  = "${var.network}::dad:db"
    type     = "AAAA"
  }
  record {
    hostname = "feed"
    address  = "${var.network}::dad:feed"
    type     = "AAAA"
  }
  record {
    hostname = "www"
    address  = "othostash.com"
    type     = "CNAME"
  }
  record {
    hostname = "plex"
    address  = "feed.othostash.com"
    type     = "CNAME"
  }

  record {
    hostname = "@"
    address  = var.ipv4
    type     = "A"
  }
  record {
    hostname = "feed"
    address  = var.ipv4
    type     = "A"
  }
}
